Package org.springframework.http.codec

# Interface CodecConfigurer.DefaultCodecConfig

Enclosing interface:
  CodecConfigurer

public static interface CodecConfigurer.DefaultCodecConfig
Exposes the values of properties configured through `CodecConfigurer.defaultCodecs()` that are applied to default codecs. The main purpose of this interface is to provide access to them so they can also be applied to custom codecs if needed.

Since:
  5.1.12
See Also:
  - `CodecConfigurer.CustomCodecs.registerWithDefaultConfig(Object, Consumer)`

## Method Summary

Modifier and Type
Method
Description
`Boolean`
`isEnableLoggingRequestDetails()`
Whether to log form data at DEBUG level, and headers at TRACE level.
`Integer`
`maxInMemorySize()`
Get the configured limit on the number of bytes that can be buffered whenever the input stream needs to be aggregated.

## Method Details

### maxInMemorySize

@Nullable Integer maxInMemorySize()
Get the configured limit on the number of bytes that can be buffered whenever the input stream needs to be aggregated.

### isEnableLoggingRequestDetails

@Nullable Boolean isEnableLoggingRequestDetails()
Whether to log form data at DEBUG level, and headers at TRACE level. Both may contain sensitive information.